Name: brltty
Version: 3.0
Release: 2

Copyright: GPL
Packager: Dave Mielke <dave@mielke.cc>
Group: System Environment/Daemons
URL: http://mielke.cc/brltty/
Source: http://mielke.cc/brltty/releases/%{name}-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-BuildRoot

AutoProv: 0

AutoReq: 0
Requires: ld-linux.so.2
Requires: libc.so.6
Requires: libdl.so.2
Requires: libm.so.6
Requires: /bin/sh

Summary: Braille display driver for Linux.
%description
BRLTTY is a background process (daemon) which provides
access to the Linux console (when in text mode)
for a blind person using a refreshable braille display.
It drives the braille display,
and provides complete screen review functionality.
Some speech capability has also been incorporated.

%prep
%setup -n %{name}-%{version}

%build
set -e

make

directory="doc"
mkdir -p "${directory}"
for file in */README* */*.txt
do
   mkdir -p "${directory}/${file%/*}"
   cp -rp "${file}" "${directory}/${file}"
done
unset file directory

%install
set -e

make INSTALL_ROOT="${RPM_BUILD_ROOT}" install-programs install-help install-tables install-drivers
install DOCS/brltty.conf "${RPM_BUILD_ROOT}/etc"

%post
set -e

devices="/dev/vcsa /dev/vcsa0 /dev/vcc/a"
install=true
for device in ${devices}
do
   if [ -c "${device}" ]
   then
      install=false
      break
   fi
done
if $install
then
   device="`set -- ${devices} && echo "${1}"`"
   echo -n "Creating screen access device ${device}..."
   mkdir -p "${device%/*}"
   mknod -m o= "${device}" c 7 128
   chmod 660 "${device}"
   chown root.tty "${device}"
   echo "done."
fi
unset device install devices

%files
%doc README* COPYING
%doc DOCS/ChangeLog DOCS/TODO
%doc DOCS/FAQ.html DOCS/FAQ.txt
%doc DOCS/Manual.sgml DOCS/Manual.txt DOCS/Manual-HTML
%doc DOCS/Manual-ger.sgml DOCS/Manual-ger.txt DOCS/Manual-ger-HTML
%doc doc/*
%config(noreplace) /etc/brltty.conf
/sbin/brltty
/sbin/install-brltty
/etc/brltty
/lib/brltty
